Index: doc/graph_orientation.dox
===================================================================
--- doc/graph_orientation.dox	(revision 1715)
+++ doc/graph_orientation.dox	(revision 1953)
@@ -64,5 +64,5 @@
 \until {
 
-First we check whether the program is called with exactly 1 parameter.
+First we check whether the program is called with exactly one parameter.
 If it isn't, we print a short help message end exit.
 The vast majority of people would probably skip this block.
@@ -72,5 +72,6 @@
 Now, we read a graph \c g, and a map \c f containing
 the in-deg requirements from a \ref graph-io-page ".lgf (Lemon Graph Format)"
-file. To generate the output picture, we also read the node titles (\c id) and
+file. To generate the output picture, we also read the node titles (\c label)
+and
 coordinates (\c coords).
 So, first we create the graph
@@ -87,6 +88,7 @@
 \until }
 
-The algorithm needs a "level" integer value assigned to each node. In the
-beginning, the nodes are on level 0.
+The algorithm needs an integer value assigned to each node. We call this "level" and the nodes are on level 0 at the
+beginning of the execution.
+
 \skipline level
 
@@ -102,7 +104,8 @@
 \until def
 
-We also store in a bool map indicating which edges are reverted. Actually this is only
+We also store in a bool map indicating which edges are reverted.
+Actually this map called \c rev is only
 used to draw these edges with different color in the output picture. The
-algorithm will update this map called \c rev, but will not use it otherwise.
+algorithm updates this map, but will not use it otherwise.
 \skip rev
 \until reversed
@@ -112,5 +115,6 @@
 
 Here comes the algorithms itself. 
-In each iteration we choose an active node (\c act will store it). If there is
+In each iteration we choose an active node (\c act will do it for us).
+If there is
 no such a node, then the orientation is feasible so we are done.
 \skip act
Index: lemon/fredman_tarjan.h
===================================================================
--- lemon/fredman_tarjan.h	(revision 1946)
+++ lemon/fredman_tarjan.h	(revision 1953)
@@ -457,8 +457,8 @@
     ///Sets the TreeMap of the edges of the minimum spanning tree.
     ///The map values belonging to the edges of the minimum
-    ///spanning tree are set to \param tree_edge_value or \c true by default 
+    ///spanning tree are set to \c tree_edge_value or \c true by default 
     ///while the edge values not belonging to the minimum spanning tree are 
     ///set to
-    ///\param tree_default_value or \c false by default.
+    ///\c tree_default_value or \c false by default.
     ///
     ///\pre \ref run() or \ref start() must be called before using this 
Index: lemon/iterable_maps.h
===================================================================
--- lemon/iterable_maps.h	(revision 1931)
+++ lemon/iterable_maps.h	(revision 1953)
@@ -200,5 +200,5 @@
       /// Creates an iterator. It iterates on the 
       /// keys which mapped to true.
-      /// \param map The IterableIntMap
+      /// \param _map The IterableIntMap
       TrueIt(const IterableBoolMap& _map) 
         : Parent(_map.sep > 0 ? _map.array[_map.sep - 1] : INVALID), 
@@ -240,5 +240,5 @@
       /// Creates an iterator. It iterates on the 
       /// keys which mapped to false.
-      /// \param map The IterableIntMap
+      /// \param _map The IterableIntMap
       FalseIt(const IterableBoolMap& _map) 
         : Parent(_map.sep < (int)_map.array.size() ? 
@@ -279,5 +279,5 @@
       /// Creates an iterator. It iterates on the 
       /// keys which mapped to false.
-      /// \param map The IterableIntMap
+      /// \param _map The IterableIntMap
       /// \param value Which elements should be iterated.
       ItemIt(const IterableBoolMap& _map, bool value) 
Index: lemon/johnson.h
===================================================================
--- lemon/johnson.h	(revision 1946)
+++ lemon/johnson.h	(revision 1953)
@@ -152,5 +152,5 @@
     /// 
     /// This function instantiates a \ref PredMap. 
-    /// \param G is the graph, to which we would like to define the PredMap.
+    /// \param graph is the graph, to which we would like to define the PredMap.
     /// \todo The graph alone may be insufficient for the initialization
     static PredMap *createPredMap(const Graph& graph) {
@@ -168,5 +168,5 @@
     ///
     /// This function instantiates a \ref DistMap. 
-    /// \param G is the graph, to which we would like to define the 
+    /// \param graph is the graph, to which we would like to define the 
     /// \ref DistMap
     static DistMap *createDistMap(const _Graph& graph) {
Index: lemon/preflow.h
===================================================================
--- lemon/preflow.h	(revision 1898)
+++ lemon/preflow.h	(revision 1953)
@@ -153,4 +153,5 @@
     ///\param _cap The capacity of the edges. 
     ///\param _f The flow of the edges. 
+    ///\param tol Tolerance class.
     ///Except the graph, all of these parameters can be reset by
     ///calling \ref source, \ref target, \ref capacityMap and \ref
Index: lemon/prim.h
===================================================================
--- lemon/prim.h	(revision 1912)
+++ lemon/prim.h	(revision 1953)
@@ -57,5 +57,5 @@
 
     ///This function instantiates a \ref HeapCrossRef. 
-    /// \param G is the graph, to which we would like to define the 
+    /// \param _graph is the graph, to which we would like to define the 
     /// HeapCrossRef.
     static HeapCrossRef *createHeapCrossRef(const GR &_graph){
@@ -87,5 +87,5 @@
  
     ///This function instantiates a \ref PredMap. 
-    ///\param G is the graph, to which we would like to define the PredMap.
+    ///\param _graph is the graph, to which we would like to define the PredMap.
     static PredMap *createPredMap(const GR &_graph){
       return new PredMap(_graph);
@@ -102,5 +102,6 @@
 
     ///This function instantiates a \ref TreeMap.
-    ///\param g is the graph, to which
+    ///
+    ///The first parameter is the graph, to which
     ///we would like to define the \ref TreeMap
     static TreeMap *createTreeMap(const GR &){
@@ -117,5 +118,5 @@
  
     ///This function instantiates a \ref ProcessedMap. 
-    ///\param g is the graph, to which
+    ///\param _graph is the graph, to which
     ///we would like to define the \ref ProcessedMap
 #ifdef DOXYGEN
@@ -704,5 +705,5 @@
     ///Sets the TreeMap of the edges of the minimum spanning tree.
     ///The map values belonging to the edges of the minimum
-    ///spanning tree are set to \param tree_edge_value or \c true by default,
+    ///spanning tree are set to \c tree_edge_value or \c true by default,
     ///the other map values remain untouched.
     ///
@@ -722,7 +723,7 @@
     ///Sets the TreeMap of the edges of the minimum spanning tree.
     ///The map values belonging to the edges of the minimum
-    ///spanning tree are set to \param tree_edge_value or \c true by default while
+    ///spanning tree are set to \c tree_edge_value or \c true by default while
     ///the edge values not belonging to the minimum spanning tree are set to
-    ///\param tree_default_value or \c false by default.
+    ///\c tree_default_value or \c false by default.
     ///
     ///\pre \ref run() or \ref start() must be called before using this function.
Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 1894)
+++ lemon/time_measure.h	(revision 1953)
@@ -273,5 +273,5 @@
     ///Constructor.
 
-    ///\param _running indicates whether or not the timer starts immediately.
+    ///\param run indicates whether or not the timer starts immediately.
     ///
     Timer(bool run=true) :_running(run) {_reset();}
Index: lemon/tolerance.h
===================================================================
--- lemon/tolerance.h	(revision 1897)
+++ lemon/tolerance.h	(revision 1953)
@@ -40,5 +40,5 @@
   ///
   ///This is an abstract class, it should be specialized for all numerical
-  ///data types. These specialized classes like \ref Tolerance<double>
+  ///data types. These specialized classes like \ref Tolerance\<double\>
   ///may offer additional tuning parameters.
   ///
